unsigned int samples = 100;

void setup()
{
	Serial.begin(115200); //Start Serial Monitor to display current read value on Serial monitor
}

void loop()
{
	// Sense the value from the analog pin A0.
	float AcsValue 	= 0.0;	
	for(unsigned int i = 0; i < 100; ++i)
	{
		AcsValue += analogRead(A0);
	}
	
	// Taking Average of Samples
	AcsValue /= (float)samples;
	
	// Transform the value to Ampere.
	float AcsValueF = (2.496 - (AcsValue * (5.0 / 1024.0)))/0.066;
	
	// Print the value.
	Serial.println(AcsValueF * 50, 3);
	
	delay(50);
}

